AuSoundRecord(3)

Name
AuSoundRecord - create a flow to record audio to any destination.

Synopsis
#include <audio/audiolib.h>
#include <audio/soundlib.h>

AuEventHandlerRec *AuSoundRecord(server, source, gain, num_samples, mode, sound_data, flow, volume_mult_elem, status)
    AuServer *server;
    AuDeviceID source;
    AuFixedPoint gain;
    AuUint32 num_samples;
    int mode;
    AuSoundDataPtr sound_data;
    AuFlowID *flow; /* RETURN */
    int *volume_mult_elem; /* RETURN */
    AuStatus *status; /* RETURN */

Arguments

server
    Specifies the connection to the audio server.

source
    Specifies the input device to use.

gain
    Specifies the gain for the input device.

num_samples
    Specifies the number of samples to record.

mode
    Specifies the line mode for the input device. Currently the following line modes are defined: AuDeviceInputModeNone, AuDeviceInputModeLineIn, AuDeviceInputModeMicrophone.

sound_data
    Specifies the sound information.

flow
    If non-NULL, returns the flow ID.

volume_mult_elem
    Accord to the comment in the source, not implemented.

status
    If non-NULL, flush the output buffer and return the status from the server.

Description
AuSoundRecord creates a flow to record audio from source to any destination and returns a pointer to the event handler created or NULL if there was an error. The sound_data structure contains the necessary information about the audio format and the data handling function.

Errors
AuBadDevice.

See Also
AuSoundRecordToBucket, AuSoundRecordToData, AuSoundRecordToFile, AuSoundRecordToFileN.

audiolib - Network Audio System C Language Interface